import os,sys
if sys.hexversion < 0x020100f0:
	raise RuntimeError, "Python 2.1 or higher required"

from distutils.core import setup
from distutils.command.install_scripts import install_scripts
from distutils.command.install_data import install_data

class Symlinker:
	def make_symlink(self, src, dst):
		if self.verbose:
			print 'symlinking',dst,'->',src
		try:
			os.symlink(src, dst)
		except Exception, e:
			print 'symlink failed:',str(e.__class__)+':',str(e)

class my_install_scripts(install_scripts, Symlinker):
	def run(self):
		install_scripts.run(self)
		self.make_symlink('cvs-importer', os.path.join(self.install_dir, 'svn-importer'))

class my_install_data(install_data, Symlinker):
	def run(self):
		install_data.run(self)
		self.make_symlink('cvs-importer.1', os.path.join(self.install_dir, "man", "man1", 'svn-importer.1'))
#import cvs-importer

setup (name = "cvs-importer",
	version = '0.3',
	description = "cvs-importer - import all existing versions of a program into cvs or subversion",
	licence = "GPL",
	author = "Matthew Mueller",
	author_email = "donut@azstarnet.com",
	url = "http://www.azstarnet.com/~donut/programs/",

	cmdclass = {'install_scripts':my_install_scripts, 'install_data':my_install_data},
	scripts = ["cvs-importer"],
	#distutils does not handle manpages (yet?), so fudge it :)
	data_files = [("man/man1", ["cvs-importer.1"])],
	)

